Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=42108&#38;#msg_42108

I can confirm this too. (Kubuntu 13.10 - KDE 4.11.5)

In my opinion this is critical GTK bug (Release blocker), because IDE in GTK mode is definnitly unstable. This is why I am still using X11

IDE.

History

#1 - 02/28/2014 05:11 PM - Miroslav Fidler

I am starting things there are (at least :) two issues at play here:

1. TabBar error, which is the explanation of stacttrace posted in the forum

2. Another issue, which can be reproduced this way: Load 'ide' project, go to TabBar.cpp, start searching (Ctrl+F) for "Repos", then click on FileTabs.h.

#2 - 02/28/2014 07:36 PM - Miroslav Fidler

Issue (2) fixed.

#3 - 03/01/2014 11:24 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee set to Zbigniew Rebacz

Issue (1) hopefully fixed.

#4 - 03/01/2014 11:24 AM - Miroslav Fidler

- Status changed from Ready for QA to Ready for CR

#5 - 03/01/2014 11:25 AM - Miroslav Fidler

Fixing commit 6966, 6970, analysis of bugs in the forum.

#6 - 03/01/2014 08:37 PM - Zbigniew Rebacz

For me IDE now works stable on GTK backend, but personally, I think that we need to wait for community reaction.
#7 - 03/03/2014 05:58 PM - Zbigniew Rebacz

- Status changed from Ready for CR to Approved
